#!/usr/bin/python
# -*- coding: utf-8 -*-

# Here are imports, do not worry about them
from model import Model
from flask import *

app = Flask(__name__)

@app.route('/')
def index():
  return render_template('index.html')

@app.route('/avgGrades')
def averageGrades():
  with Model() as model:
    grades=model.getAverageGrades()
    return render_template('grades.html', grades=grades, title='Average')

@app.route('/grades')
def grades():
  with Model() as model:
    id=request.args.get("id")
    exam=model.getExam(id)
    grades=model.getGrades(id)
    return render_template('grades.html', grades=grades, title=exam['title'])

@app.route('/exams')
def exams():
  with Model() as model:
    exams=model.getExams();
    return render_template('exams.html', exams=exams)

# new routes should be defined here

if __name__ == '__main__':
  app.run(debug=True)
